#3417 closed enhancement (fixed)

Add libdwarf to elftoolchain and provide a C++ wrapper

Reported by: Chris Johns Owned by: Chris Johns
Priority: normal Milestone: 5.1
Component: tool Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

Update the elftoolchain and add libdwarf.

Provide a C++ framework to create reusable access to libdwarf.

Change History (6)

comment:1 Changed on Apr 29, 2018 at 1:58:46 AM by Chris Johns

Type: defectenhancement

comment:2 Changed on Apr 29, 2018 at 2:10:28 AM by Chris Johns <chrisj@…>

In 0c5db2d/rtems-tools:

rtemstoolkit: Update elftoolchain to the latest code.

The update is taken from https://github.com/elftoolchain/elftoolchain.

Update #3417

comment:3 Changed on Apr 30, 2018 at 5:51:44 AM by Chris Johns <chrisj@…>

In 771e7f1/rtems-tools:

rtemstoolkit: Update elftoolchain to the latest code.

The update is taken from:

https://svn.code.sf.net/p/elftoolchain/code/trunk

Update #3417

comment:4 Changed on Apr 30, 2018 at 5:51:55 AM by Chris Johns <chrisj@…>

In 4bb3996/rtems-tools:

rtemstoolkit: Add libdwarf from elftoolchain.

The code is taken from:

https://svn.code.sf.net/p/elftoolchain/code/trunk

Update #3417

comment:5 Changed on Jun 19, 2018 at 3:42:41 AM by Chris Johns <chrisj@…>

In 558cab8/rtems-tools:

rtemstoolkit: Add libdwarf C++ interface.

Provide a C++ interface to libdwarf to:

  • Manage DWARF debug data
  • Manage CU
  • Manage DIE
  • Handle CU line addresses
  • Handle CU source files

Update #3417

comment:6 Changed on Oct 19, 2018 at 12:23:15 AM by Chris Johns

Resolution: fixed
Status: assignedclosed

The wrapper has been added to rtems-tools.

Note: See TracTickets for help on using tickets.